Subject: bug#44941: 28.0.50; M-x grep, perhaps all asynch subprocesses

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Nov 2020 20:04:05 +0200

> Date: Mon, 30 Nov 2020 19:46:28 +0300
> From: Jean Louis <[email-masked]>
> Cc: Andreas Schwab <[email-masked]>, [email-masked],
>   [email-masked]
> 
> > > >> grep -a "$@" | cut -c -200
> > > >> 
> > > >> cut seems to be responsible for the problem by buffering output even to a tty.
> > > >
> > > > Sounds like a useful feature to ask Grep developers to add it.
> > > 
> > > That feature already exists: stdbuf.
> > 
> > I'm not sure I understand: I meant the feature to limit the output
> > lines to a given column count.
> 
> Is it not this option for limiting?
> 
> 	-m NUM, --max-count=NUM
> 		Stop reading a  file after NUM matching  lines.  If the

No.  Please read the 'cut' documentation to see what does -c do there.